<?php
namespace Teknisa\CTB\Modules\Saldos\Factories;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class Ctb72800RecalculoSaldosGerenciaisFactory extends RecalculoSaldosFactory{

    public function __construct(EntityManager $entityManager) {
        parent::__construct($entityManager);
    }
    
    public function callSaldoGeralProcedure($cdempresa, $datainic) {
        $procedure = new StoredProcedure($this->connection, 'SALDO_COMERCIAL_GERAL');
        $procedure->addParam(new Param('P_CDEMPRESA', Param::PARAM_INPUT, $cdempresa, Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param('P_DATAINIC', Param::PARAM_INPUT, $datainic, Param::PARAM_TYPE_STR));
        $output = $procedure->execute();
    }
    
}